Name:           libtaginfo
Version:        0.2.0
Release:        %mkrel 1

%define major 1
%define	libname		%mklibname taginfo %{major}
%define develname	%mklibname taginfo -d

Summary:        A library for reading media metadata (tags)
Group:          System/Libraries
License:        LGPLv2+
URL:            https://bitbucket.org/shuerhaaken/libtaginfo
Source0:        https://bitbucket.org/shuerhaaken/libtaginfo/downloads/libtaginfo-%{version}.tar.xz
Patch:         %{name}-0.1.3-taginfo_c.cc.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: pkgconfig
BuildRequires: taglib-devel >= 1.8

%description
TagInfo is a convenience wrapper for taglib with C and vala bindings.

Features are reading/writing fields like: Artist, Album, Title, Genre,
AlbumArtist, Comments, Disk number, Compilation flag, User labels,
Embedded Images, Lyrics, Audio properties (length, bitrate,
samplerate, channels ...), ...

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{name} < %version
Provides:	%{name} = %version-%release

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < %version
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch -p1


%build
%configure2_5x --disable-static

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'



%files -n %{libname}
%defattr(-, root, root)
%doc COPYING AUTHORS README TODO
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-, root, root)
%doc examples
%dir %{_docdir}/libtaginfo-doc
%{_docdir}/libtaginfo-doc/api
%{_docdir}/libtaginfo-doc/c_api
%dir %{_datadir}/devhelp/books
%{_datadir}/devhelp/books/%{name}
%{_datadir}/devhelp/books/%{name}_c
%{_includedir}/*
%dir %{_libdir}/libtaginfo
%{_libdir}/libtaginfo/include
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtaginfo*.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libtaginfo_c.vapi


%changelog
* Sat Jan 25 2014 daniel <meisssw01 at gmail.com> 0.2.0-1free20014
- upstream tarball

* Sat Apr 20 2013 Ken <lxgator@gmail.com> 0.1.6-1pclos2013
- 0.1.6

* Thu Mar 14 2013 Ken <lxgator@gmail.com> 0.1.3-1pclos2013
- Initial build
